package com.sxyz.rfid.presenter.model;

import java.util.List;

/**
 * 主要功能:
 *
 * @Description:
 * @Project: rfid-app
 * @Package: com.sxyz.rfid.presenter.model
 * @author: chunyuanwu
 * @date: 2026年01月05日 13:53
 * @version: 1.0.0
 */
public class ReviewResultModel {

    /**
     * total : 1
     * rows : [{"createBy":"","createTime":"2025-12-29 11:58:25","updateBy":"","updateTime":"2026-01-04 16:15:57","remark":"","resultId":1,"taskId":2,"planId":2,"warehouseId":2,"warehouseName":"冷藏仓库","areaIds":"2","areaName":"","checkerId":1,"checkerName":"若依","startTime":"2025-12-29","endTime":"2026-01-04","totalItems":6,"countedItems":6,"surplusItems":1,"deficitItems":0,"totalSurplus":30,"totalDeficit":0,"totalDifferenceValue":30,"differenceRate":0.1667,"resultStatus":"1","auditStatus":"0","auditorId":null,"auditorName":"","auditTime":null,"auditOpinion":"","areaIdsList":[2]}]
     * code : 200
     * msg : 查询成功
     */

    private int total;
    private int code;
    private String msg;
    private List<RowsBean> rows;

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public List<RowsBean> getRows() {
        return rows;
    }

    public void setRows(List<RowsBean> rows) {
        this.rows = rows;
    }

    public static class RowsBean {
        /**
         * createBy :
         * createTime : 2025-12-29 11:58:25
         * updateBy :
         * updateTime : 2026-01-04 16:15:57
         * remark :
         * resultId : 1
         * taskId : 2
         * planId : 2
         * warehouseId : 2
         * warehouseName : 冷藏仓库
         * areaIds : 2
         * areaName :
         * checkerId : 1
         * checkerName : 若依
         * startTime : 2025-12-29
         * endTime : 2026-01-04
         * totalItems : 6
         * countedItems : 6
         * surplusItems : 1
         * deficitItems : 0
         * totalSurplus : 30.0
         * totalDeficit : 0.0
         * totalDifferenceValue : 30.0
         * differenceRate : 0.1667
         * resultStatus : 1
         * auditStatus : 0
         * auditorId : null
         * auditorName :
         * auditTime : null
         * auditOpinion :
         * areaIdsList : [2]
         */

        private String createBy;
        private String createTime;
        private String updateBy;
        private String updateTime;
        private String remark;
        private int resultId;
        private int taskId;
        private int planId;
        private int warehouseId;
        private String warehouseName;
        private String areaIds;
        private String areaName;
        private int checkerId;
        private String checkerName;
        private String startTime;
        private String endTime;
        private int totalItems;
        private int countedItems;
        private int surplusItems;
        private int deficitItems;
        private double totalSurplus;
        private double totalDeficit;
        private double totalDifferenceValue;
        private double differenceRate;
        private String resultStatus;
        private String auditStatus;
        private Object auditorId;
        private String auditorName;
        private Object auditTime;
        private String auditOpinion;
        private List<Integer> areaIdsList;

        public String getCreateBy() {
            return createBy;
        }

        public void setCreateBy(String createBy) {
            this.createBy = createBy;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public String getUpdateBy() {
            return updateBy;
        }

        public void setUpdateBy(String updateBy) {
            this.updateBy = updateBy;
        }

        public String getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(String updateTime) {
            this.updateTime = updateTime;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public int getResultId() {
            return resultId;
        }

        public void setResultId(int resultId) {
            this.resultId = resultId;
        }

        public int getTaskId() {
            return taskId;
        }

        public void setTaskId(int taskId) {
            this.taskId = taskId;
        }

        public int getPlanId() {
            return planId;
        }

        public void setPlanId(int planId) {
            this.planId = planId;
        }

        public int getWarehouseId() {
            return warehouseId;
        }

        public void setWarehouseId(int warehouseId) {
            this.warehouseId = warehouseId;
        }

        public String getWarehouseName() {
            return warehouseName;
        }

        public void setWarehouseName(String warehouseName) {
            this.warehouseName = warehouseName;
        }

        public String getAreaIds() {
            return areaIds;
        }

        public void setAreaIds(String areaIds) {
            this.areaIds = areaIds;
        }

        public String getAreaName() {
            return areaName;
        }

        public void setAreaName(String areaName) {
            this.areaName = areaName;
        }

        public int getCheckerId() {
            return checkerId;
        }

        public void setCheckerId(int checkerId) {
            this.checkerId = checkerId;
        }

        public String getCheckerName() {
            return checkerName;
        }

        public void setCheckerName(String checkerName) {
            this.checkerName = checkerName;
        }

        public String getStartTime() {
            return startTime;
        }

        public void setStartTime(String startTime) {
            this.startTime = startTime;
        }

        public String getEndTime() {
            return endTime;
        }

        public void setEndTime(String endTime) {
            this.endTime = endTime;
        }

        public int getTotalItems() {
            return totalItems;
        }

        public void setTotalItems(int totalItems) {
            this.totalItems = totalItems;
        }

        public int getCountedItems() {
            return countedItems;
        }

        public void setCountedItems(int countedItems) {
            this.countedItems = countedItems;
        }

        public int getSurplusItems() {
            return surplusItems;
        }

        public void setSurplusItems(int surplusItems) {
            this.surplusItems = surplusItems;
        }

        public int getDeficitItems() {
            return deficitItems;
        }

        public void setDeficitItems(int deficitItems) {
            this.deficitItems = deficitItems;
        }

        public double getTotalSurplus() {
            return totalSurplus;
        }

        public void setTotalSurplus(double totalSurplus) {
            this.totalSurplus = totalSurplus;
        }

        public double getTotalDeficit() {
            return totalDeficit;
        }

        public void setTotalDeficit(double totalDeficit) {
            this.totalDeficit = totalDeficit;
        }

        public double getTotalDifferenceValue() {
            return totalDifferenceValue;
        }

        public void setTotalDifferenceValue(double totalDifferenceValue) {
            this.totalDifferenceValue = totalDifferenceValue;
        }

        public double getDifferenceRate() {
            return differenceRate;
        }

        public void setDifferenceRate(double differenceRate) {
            this.differenceRate = differenceRate;
        }

        public String getResultStatus() {
            return resultStatus;
        }

        public void setResultStatus(String resultStatus) {
            this.resultStatus = resultStatus;
        }

        public String getAuditStatus() {
            return auditStatus;
        }

        public void setAuditStatus(String auditStatus) {
            this.auditStatus = auditStatus;
        }

        public Object getAuditorId() {
            return auditorId;
        }

        public void setAuditorId(Object auditorId) {
            this.auditorId = auditorId;
        }

        public String getAuditorName() {
            return auditorName;
        }

        public void setAuditorName(String auditorName) {
            this.auditorName = auditorName;
        }

        public Object getAuditTime() {
            return auditTime;
        }

        public void setAuditTime(Object auditTime) {
            this.auditTime = auditTime;
        }

        public String getAuditOpinion() {
            return auditOpinion;
        }

        public void setAuditOpinion(String auditOpinion) {
            this.auditOpinion = auditOpinion;
        }

        public List<Integer> getAreaIdsList() {
            return areaIdsList;
        }

        public void setAreaIdsList(List<Integer> areaIdsList) {
            this.areaIdsList = areaIdsList;
        }
    }
}
